%define module      Return-Value
%define name        perl-%{module}
%define version     1.30.2
%define up_version  1.302
%define release     %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Polymorphic Return Values
License:        GPL or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Return/%{module}-%{up_version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
Polymorphic return values are really useful. Often, we just want to know if
something worked or not. Other times, we'd like to know what the error text
was. Still others, we may want to know what the error code was, and what the
error properties were. We don't want to handle objects or data structures for
every single return value, but we do want to check error conditions in our code
because that's what good programmers do.

%prep
%setup -q -n %{module}-%{up_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Return
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30.2-4mdv2009.0
+ Revision: 258327
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.30.2-3mdv2009.0
+ Revision: 246406
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.30.2-1mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30.2-1mdv2007.0
+ Revision: 111160
- Import perl-Return-Value

* Sat Jan 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30.2-1mdv2007.1
- first mdv release

